
Application: gvSIG desktop - gvSIG bugs #5615
Importar historial
04/06/2021 11:06 AM - Victor  Montes Camara

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category:
Target version: 2.6.0-3222
Severity: Minor Add-on version:
gvSIG version: 2.6.0 Add-on build:
gvSIG build: 2319 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto: AYTOA 1
Has patch: Hito: Fase 01
Add-on name: Unknown
Description

Estoy probando la opción "Importar historial", con una tabla que tenemos versionada actualmente en nuestro sistema de versionado.
Tiene un campo id (MSLINK), uno de geometría (AA_GEOM), un número de versión (NUM_VERSION) y una fecha de versión
(FECHA). Realmente es una vista.
Supongo que debería crear una revisión para cada una de nuestras versiones.
Relleno los campos en la ventana de "Importar historial", se activa el botón "Importar historial" y aparece el número de registros a
importar 0/15312.
El programa no hace nada ni muestra ningún mensaje en el log. Si lo vuelvo a intentar ya no se activa el botón "Importar historial",
porque supuestamente ya está importado, aunque si lo compruebo con la opción de "Mostrar revisiones" no aparece.
Por otro lado, suponiendo que funcionara, si intentara importar otra tabla en la que los números de versión y fecha de versión puedan
coincidir con los de la tabla anterior (hay que recordar que las versiones son genéricas, no dependen de la entidad), ¿mantendría las
revisiones ya creadas o crearía otras nuevas para la nueva tabla?

History
#1 - 04/06/2021 01:13 PM - Victor  Montes Camara

WARN 433221134 VCSGisImportHistory org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore - Dispossing a store in editing/append mode
(ENT_150101_ACTUAL(,9123,C:\Users\vicmon\Desktop\Control Versiones gvSIG\Pruebas repositorio en Oracle\3218\copia_t1_3218.mv.db)).
java.lang.IllegalStateException
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.doDispose(DefaultFeatureStore.java:441)
    at org.gvsig.tools.dispose.impl.AbstractDisposable.dispose(AbstractDisposable.java:70)
    at org.gvsig.tools.dispose.DisposeUtils.disposeQuietly(DisposeUtils.java:64)
    at org.gvsig.vcsgis.lib.workspace.VCSGisWorkspaceImpl.importHistory(VCSGisWorkspaceImpl.java:3325)
    at org.gvsig.vcsgis.swing.impl.importhistory.ImportHistoryImpl.importHistory(ImportHistoryImpl.java:405)
    at org.gvsig.vcsgis.app.VCSGisExtension.lambda$showImportHistoryDialog$2(VCSGisExtension.java:229)
    at org.gvsig.vcsgis.app.VCSGisDialogsHelper$VCSGisDialogInfo.performDialogAction(VCSGisDialogsHelper.java:86)
    at org.gvsig.vcsgis.app.VCSGisDialogsHelper$VCSGisDialogInfo.lambda$null$0(VCSGisDialogsHelper.java:140)
    at java.lang.Thread.run(Unknown Source)

#2 - 04/12/2021 10:27 AM - Joaquín  del Cerro Murciano
- Hito set to Fase 01
- Target version set to 2.6.0-3219

#3 - 04/12/2021 12:54 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.6.0-3219 to 2.6.0-3221

#4 - 04/13/2021 12:49 PM - Victor  Montes Camara
- File capas.zip added

Se adjunta el fichero capas.zip con tres capas shapefiles para probar.

#5 - 05/13/2021 07:45 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.6.0-3221 to 2.6.0-3223

#6 - 05/13/2021 09:04 PM - Joaquín  del Cerro Murciano
- gvSIG build set to 2319
- Status changed from New to Fixed

Victor  Montes Camara wrote:

Estoy probando la opción "Importar historial", con una tabla que tenemos versionada actualmente en nuestro sistema de versionado.
Tiene un campo id (MSLINK), uno de geometría (AA_GEOM), un número de versión (NUM_VERSION) y una fecha de versión (FECHA).
Realmente es una vista.
Supongo que debería crear una revisión para cada una de nuestras versiones.
Relleno los campos en la ventana de "Importar historial", se activa el botón "Importar historial" y aparece el número de registros a importar
0/15312.
El programa no hace nada ni muestra ningún mensaje en el log. Si lo vuelvo a intentar ya no se activa el botón "Importar historial", porque
supuestamente ya está importado, aunque si lo compruebo con la opción de "Mostrar revisiones" no aparece.

Esta herramienta estaba fuera del ambito del proyecto, y se desarrollo como una utilidad para cargar de forma simple los datos de historico de
señalizacion urbana.
Se diseño para poder cargar los datos que tenian en las distintas tablas de señalizacion urbana, y con la muestra de estos de que disponemos
funciona correctamente. En los datos que tenemos no hay numero de revision, solo fecha, y solo con dia/mes/año, sin informacion de
horas/minutos/segundos. La herramienta agrupara por fecha y cada vez que cambia la fecha hace un commit con los datos. Al final se generan tantas
revisiones como fechas distintas hayan.

He adjuntado al ticket el fichero de muestra que se nos suministro.

Cuando se diseño esta herramienta pensamos que seria util poder importar usando un campo con el numero de revision para agrupar en lugar de por
la fecha, pero estaba fuera del ambito del proyecto y se dejo preparado el interface de usuario y no llego a implementarse, quedandose los
componentes del interface de usuario relaciondos con esto deshabilitados.

Por otro lado, suponiendo que funcionara, si intentara importar otra tabla en la que los números de versión y fecha de versión puedan coincidir con
los de la tabla anterior (hay que recordar que las versiones son genéricas, no dependen de la entidad), ¿mantendría las revisiones ya creadas o
crearía otras nuevas para la nueva tabla?

Dentro de VCSGis cada tabla lleva su propio historial de revisiones. No es posible decir sacame la revision 32 de estas dos tabla y esperar que
coincidan en el tiempo. Lo que si se podria hacer es buscar para cada tabla la revision a una fecha dada y descargar cada una a la revision que
toque. O exportar las tablas indicando la misma fecha efectiva para todas las tablas. Eso si, al exportarlas las tablas quedaran desligadas del control
de versiones, ya que al exportar a una fecha efectiva podriamos tener mezclas de varias revisiones y no se podria identificar cual es la ultima revision
obtenida.
#7 - 05/13/2021 09:04 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.6.0-3223 to 2.6.0-3222

#8 - 05/19/2021 11:38 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
capas.zip 838 KB 04/13/2021 Victor  Montes Camara
